
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;
;; MODULE      : axiom.scm
;; DESCRIPTION : Special support for axiom
;; COPYRIGHT   : (C) 1999  Joris van der Hoeven
;; This software falls under the GNU general public license and comes WITHOUT
;; ANY WARRANTY WHATSOEVER. See the file $TEXMACS_PATH/LICENSE for details.
;; If you don't have this file, write to the Free Software Foundation, Inc.,
;; 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
;;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;


;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;; Specific conversion routines
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

(define (axiom-input-var-row r)
  (if (not (null? r))
      (begin
	(display ", ")
	(cas-input (car r))
	(axiom-input-var-row (cdr r)))))

(define (axiom-input-row r)
  (display "[")
  (cas-input (car r))
  (axiom-input-var-row (cdr r))
  (display "]"))

(define (axiom-input-var-rows t)
  (if (not (null? t))
      (begin
	(display ", ")
	(axiom-input-row (car t))
	(axiom-input-var-rows (cdr t)))))

(define (axiom-input-rows t)
  (display "matrix([")
  (axiom-input-row (car t))
  (axiom-input-var-rows (cdr t))
  (display "])"))

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;; Initialization
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

(connection-declare "axiom" "tm_axiom")
(connection-format "axiom" "verbatim" "generic")
(set! session-menu (menu-merge session-menu
  '(("Axiom" (make-session "axiom" "default")))))
(define (in-axiom?) (equal? (get-env "prog language") "axiom"))

(set! cas-input-current-cas "axiom")
(cas-input-set! 'rows axiom-input-rows)
(display "")
